org.springframework.messaging.rsocket

## Interface RSocketStrategies

    public interface RSocketStrategies

Access to strategies for use by RSocket requester and responder components.

Since:
  5.2
Author:
  Rossen Stoyanchev

### Nested Class Summary

Nested Classes
`static interface` `RSocketStrategies.Builder` The builder options for creating `RSocketStrategies`.

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`static RSocketStrategies.Builder` `builder()` Return a builder to prepare a new `RSocketStrategies` instance.
`static RSocketStrategies` `create()` Create an `RSocketStrategies` instance with default settings.
`org.springframework.core.io.buffer.DataBufferFactory` `dataBufferFactory()` Return the configured `dataBufferFactory`.
`default <T> org.springframework.core.codec.Decoder<T>` `decoder(org.springframework.core.ResolvableType elementType, org.springframework.util.MimeType mimeType)` Find a compatible Decoder for the given element type.
`List<org.springframework.core.codec.Decoder<?>>` `decoders()` Return the configured `decoders`.
`default <T> org.springframework.core.codec.Encoder<T>` `encoder(org.springframework.core.ResolvableType elementType, org.springframework.util.MimeType mimeType)` Find a compatible Encoder for the given element type.
`List<org.springframework.core.codec.Encoder<?>>` `encoders()` Return the configured `encoders`.
`MetadataExtractor` `metadataExtractor()` Return the configured `RSocketStrategies.Builder.metadataExtractor(MetadataExtractor)`.
`default RSocketStrategies.Builder` `mutate()` Return a builder to create a new `RSocketStrategies` instance replicated from the current instance.
`org.springframework.core.ReactiveAdapterRegistry` `reactiveAdapterRegistry()` Return the configured `reactiveAdapterRegistry`.
`org.springframework.util.RouteMatcher` `routeMatcher()` Return the configured `RSocketStrategies.Builder.routeMatcher(RouteMatcher)`.

### Method Detail

#### encoders

    List<org.springframework.core.codec.Encoder<?>> encoders()

Return the configured `encoders`.

See Also:
  `encoder(ResolvableType, MimeType)`

#### encoder

    default <T> org.springframework.core.codec.Encoder<T> encoder(org.springframework.core.ResolvableType elementType,
                                                                  @Nullable
                                                                  org.springframework.util.MimeType mimeType)

Find a compatible Encoder for the given element type.

Type Parameters:
  `T` - for casting the Encoder to the expected element type
Parameters:
  `elementType` - the element type to match
  `mimeType` - the MimeType to match
Returns:
  the matching Encoder
Throws:
  `IllegalArgumentException` - if no matching Encoder is found

#### decoders

    List<org.springframework.core.codec.Decoder<?>> decoders()

Return the configured `decoders`.

See Also:
  `decoder(ResolvableType, MimeType)`

#### decoder

    default <T> org.springframework.core.codec.Decoder<T> decoder(org.springframework.core.ResolvableType elementType,
                                                                  @Nullable
                                                                  org.springframework.util.MimeType mimeType)

Find a compatible Decoder for the given element type.

Type Parameters:
  `T` - for casting the Decoder to the expected element type
Parameters:
  `elementType` - the element type to match
  `mimeType` - the MimeType to match
Returns:
  the matching Decoder
Throws:
  `IllegalArgumentException` - if no matching Decoder is found

#### routeMatcher

    org.springframework.util.RouteMatcher routeMatcher()

Return the configured `RSocketStrategies.Builder.routeMatcher(RouteMatcher)`.

#### reactiveAdapterRegistry

    org.springframework.core.ReactiveAdapterRegistry reactiveAdapterRegistry()

Return the configured `reactiveAdapterRegistry`.

#### dataBufferFactory

    org.springframework.core.io.buffer.DataBufferFactory dataBufferFactory()

Return the configured `dataBufferFactory`.

#### metadataExtractor

    MetadataExtractor metadataExtractor()

Return the configured `RSocketStrategies.Builder.metadataExtractor(MetadataExtractor)`.

#### mutate

    default RSocketStrategies.Builder mutate()

Return a builder to create a new `RSocketStrategies` instance replicated from the current instance.

#### create

    static RSocketStrategies create()

Create an `RSocketStrategies` instance with default settings. Equivalent to `RSocketStrategies.builder().build()`. See individual builder methods for details on default settings.

#### builder

    static RSocketStrategies.Builder builder()

Return a builder to prepare a new `RSocketStrategies` instance. The builder applies default settings, see individual builder methods for details.